@import "./element-ui.scss";
@import "./theme.scss";
@import "./layout.scss";

@font-face {
  font-family: "webfont";
  font-display: swap;
  src: url("//at.alicdn.com/t/webfont_ukmqh7bzg2.eot"); /* IE9*/
  src: url("//at.alicdn.com/t/webfont_ukmqh7bzg2.eot?#iefix")
      format("embedded-opentype"),
    /* IE6-IE8 */ url("//at.alicdn.com/t/webfont_ukmqh7bzg2.woff2")
      format("woff2"),
    url("//at.alicdn.com/t/webfont_ukmqh7bzg2.woff") format("woff"),
    /* chrome、firefox */ url("//at.alicdn.com/t/webfont_ukmqh7bzg2.ttf")
      format("truetype"),
    /* chrome、firefox、opera、Safari, Android, iOS 4.2+*/
      url("//at.alicdn.com/t/webfont_ukmqh7bzg2.svg#NotoSansHans-DemiLight")
      format("svg"); /* iOS 4.1- */
}

body {
  height: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  font-family: "webfont", "Source Han Serif", Helvetica Neue, Helvetica,
    PingFang SC, Hiragino Sans GB, Microsoft YaHei, Arial, sans-serif;
  background-image: inear-gradient(120deg, #fdfbfb 0%, #ebedee 100%);
}

label {
  font-weight: 700;
}

html {
  height: 100%;
  box-sizing: border-box;
}

#app {
  height: 100%;
  font-family: "Source Han Serif";
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

a,
a:focus,
a:hover {
  cursor: pointer;
  color: inherit;
  outline: none;
  text-decoration: none;
}

div:focus {
  outline: none;
}

a:focus,
a:active {
  outline: none;
}

a,
a:focus,
a:hover {
  cursor: pointer;
  color: inherit;
  text-decoration: none;
}

.clearfix {
  &:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
  }
}

//main-container全局样式
.app-main {
  min-height: 100%;
}

.app-container {
  padding: 20px;
}
.button {
  width: 80px;
  height: 22px;
  padding: 0;
  font-size: 12px;
}
.big-button {
  width: 120px;
  height: 30px;
  padding: 0;
}
.btn-right {
  float: right;
}
.dia-wrapper {
  width: 100%;
  overflow: hidden;
}
.circle-btn {
  width: 30px;
  height: 30px;
  padding: 0;
  border-radius: 50%;
}

.table-btn-group-container,
.btn-group-container {
  display: flex;
  flex-direction: row;
}
.btn-group-container {
  margin-top: 10px;
}
